Bug 730903 - opencryptoki: document implications of the pkcs11 group membership
Summary: opencryptoki: document implications of the pkcs11 group membership
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: opencryptoki
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Dan Horák
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 07:49 UTC by Tomas Hoger
Modified: 2011-12-06 11:48 UTC (History)
2 users (show)

Fixed In Version: opencryptoki-2.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 11:48:48 UTC


Attachments (Terms of Use)
Possible man page change (1.66 KB, patch)
2011-09-05 11:40 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1572 normal SHIPPED_LIVE opencryptoki bug fix and enhancement update 2011-12-06 00:39:04 UTC

Description Tomas Hoger 2011-08-16 07:49:17 UTC
Description of problem:
The documentation we (and also upstream) provide with opencryptoki packages mentions, that users using opencryptoki need to be members of the pkcs11 group.  It does not currently mention the real privileges granted by adding a user to the group (ability to block other applications using opencryptoki from using opencryptoki/devices, ability to execute arbitrary code as other users using opencryptoki, see bug #730635).

Upstream assumes that all pkcs11 members are fully trusted.  Such assumption should be documented.

Comment 3 Tomas Hoger 2011-09-05 11:40:28 UTC
Created attachment 521484 [details]
Possible man page change

Possible fix.  opencryptoki.7 sounds to me as a better place to have the warning, with pkcsslotd.8 referring to it.  Some further wording-polish is welcome.

Comment 7 errata-xmlrpc 2011-12-06 11:48:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1572.html


Note You need to log in before you can comment on or make changes to this bug.